View Issue Details

IDProjectCategoryView StatusLast Update
0005595SUMoBugpublic2019-07-29 10:56
Reporterwolf Assigned ToKyle_Katarn  
PrioritynormalSeverityminorReproducibilityhave not tried
Status feedbackResolutionopen 
OSWindows 10 64-bitOS Version1809 
Product Version5.9.4 
Summary0005595: fix silent skip of ignore list handling
DescriptionWith the latest preview of Windows 10 2003 edition installed by sufficient number of SUMo users, my SUMo report list suddendly switched by increasing the outdated count by about 1500 records. I can't judge if this includes also released or preview updates of .NET and Microsoft Office as I don't have a full Microsoft Office installation on my notebook. Except for those different version schemes of .NET and Office, I only move about 1200 entries at the beginning of this week to my ignore list which had about 60 entries before. As the ignore list doesn't provide a report, I don't know how many are there because of not available but released version 1903 or by a preview of 1910 or 2003. The majority is due to preview of 2003. I further added a few portable apps which will not receive updates as the portable frameworks don't support the switch of these tools of freeware to commercial license.

When I exported this SUMo ignore list of almost 1300 entries added, I was astonished to find a count of 553 entries on that list! What happened to the other almost 750 entries removed of the SUMo report list (intended to the ignore list)?
According to which policy are entries not inserted into or removed of the SUMo ignore list?
Is there also an (undocumented) hard maximum limit of number of entries in the SUMo ignore list like for the SUMo log file and much lower than 10000 entries?
Additional InformationMicrosoft doesn't provide yet an update to Windows 10 1903 for my notebook (as opposed to my other Windows 10 devices). Microsoft warned me to update manually to Windows 10 1903. Microsoft warned me to reinstall Windows 10 with the 1903 edition too. It promised me that I'll ran into several inacceptable issues. But SUMo claims that various files of Windows are available for my notebook with Windows 10 1903, 1910 and 2003 edition. The youngest 2003 preview has been released about two weeks ago and there are sufficient SUMo users with that preview installed so that SUMo proposes me these as current update for my notebook, in opposition to Microsofts claims!

I don't know after how much time another SUMo user deinstalled his Windows 10 2003 preview of this spring. It was something like at least 3-4 weeks that this preview was in use by at least one SUMo user and SUMo declaring this alpha preview as current and released! I can't tell for the 1903 previews because I activated Microsoft reporting in SUMo almost a month before the final release.
TagsNo tags attached.

Relationships

related to 0005604 acknowledgedKyle_Katarn fix silent rewrite of skip list 

Activities

Kyle_Katarn

2019-07-24 21:49

administrator   ~0003599

Sorry but... i don't catch what your problem is :-(
Any screenshot that could help ?

wolf

2019-07-27 10:47

reporter   ~0003620

No. I don't have a corresponding screenshot. And I don't know how to produce one. I fear screenshots aren't sufficient to show the problem. And I don't know if it can be reproduced when shifting to that kind of single stepping neither.

If I select one list entry of the final SUMo report list and then select SUMo ignore function, either via context menu or via ignore button, I expect this entry to be removed of that SUMo report list and added to the SUMo ignore list instead. And as I proceeded for more than 1200 entries of the SUMo report list, they got indeed removed of the SUMo report list decreasing its summary count accordingly. At that time, I didn't count the SUMo ignore list if this former entry of the SUMo report list has been added to the SUMo ignore list, postponing unto later after processing all candidates for the SUMo ignore list.

Then I tried, if this moving to SUMo ignore list works also with multiple selection. Multiple Selection in the SUMo report list was possible. With multiple selection, I can't remember seeing the corresponding context menu resp. not knowing if it would proceed just on one entry of the selection or all. So I choose the ignore button to process the multiple selection set of entries of the SUMo report list to be moved to the SUMo ignore list. It seemed working as expected, removing all selected entries of the SUMo report list. But did they all get added to the SUMo ignore list too or only a subset of them?

A few days after finishing the move of entries to the SUMo ignore list, I wanted to check if all those more than 1200 entries added to the previous more than 60 entries can be found on the SUMo ignore list. So I went to this SUMo ignore list, looking for the options available. I couldn't find a count there, nor an option to activate a count in the SUMo ignore list editor. But I found the export action button. So I used this one. This action didn't provide enough options neither leading to another feature request. So I had to save this exported list within the standard editor as a work around. After saving and closing the standard editor, I reopened that saved export file of the SUMo ignore list in a different editor with more options. This other editor displays a line count, telling me 553 lines instead of more than 1300 ones!
So why are there only 553 entries on the exported SUMo ignore list instead of more than 1300 although SUMo ignore context menu and SUMo ignore action button have removed in these processing more than 1200 entries of the SUMo report list?
1200 >> 553
Where did these other former SUMo report list entries went to?

So I can't tell if this problem is with the SUMo ignore context menu action, with the SUMo ignore action button, with the SUMo ignore list editor or with the SUMo ignore list export. I consider the most probable candidate to look at is the SUMo ignore action button on top of the SUMo report list in case that multiple entries of the SUMo report list have been selected. I don't know the sizes of those multiple selections. They often were between one and less than 20, but sometimes they were much more than 100 entries selected. Do you understand now better the problem?

wolf

2019-07-27 11:06

reporter   ~0003621

If you still don't understand the problem, then please tell me how to put those more than 1200 entries back to the SUMo report list in order to try to reproduce the error?

Ah, now I see another problem. I don't understand the SUMo ignore list yet. Are all fields of the SUMo ignore list displayed or only a subset of its fields?
I see the fields product and company (meaning publisher or organization as publisher don't need to be companies!). What I can't see is the field path.

I.e. I see that I moved an outdated component ImageMagick of some portable file manager onto the ignore list. The portable file manager isn't outdated and has several components. After the move, this outdated entry isn't no longer on the SUMo report list. But is it possible that other components ImageMagick of other detected products are no longer on the SUMo report list although not chosen to be ignored?
And it seems to me that a portable "installation" of ImageMagick has been suppressed too although not selected for move to SUMo ignore list.

So what's SUMos handling of its ignore list when performing a check operation?
How may SUMo know which detected instances of ImageMagick to suppress of reporting because of the ONE entry on SUMo ignore list and which instances to continue reporting as not present on its ignore list?

Do you mean that removing this ONE entry of the SUMo ignore list will make ONE entry reappear on the SUMo report list or will make reappear about 5 entries on the report list?
Will such a move require only another check operation or also a scan operation?

I think this observation isn't the explanation. But I can imagine it can be the explanation for one of several reasons and bugs.

Kyle_Katarn

2019-07-27 15:51

administrator   ~0003624

See other issue raised on Ignore list : it only uses Product Name / Company pair, which means that one single Ignore list entry may lead to discard several files if you have multiple instance of the same product.

wolf

2019-07-27 18:45

reporter   ~0003632

That's not what I want. So how may I configure to handle a product in consideration differently then a case where another product has this considered product as a component?

And how may I know how many records have then been moved to the ignore list as the decrease in report list doesn't relate to the number of moved entries (beside being identical or larger then the unknown number of really moved entries)?

Kyle_Katarn

2019-07-28 12:23

administrator   ~0003638

" So how may I configure to handle a product in consideration differently then a case where another product has this considered product as a component?" What do you mean (with detailed exemple please)

"And how may I know how many records have then been moved to the ignore list as the decrease in report list doesn't relate to the number of moved entries" : only by parsing logs (as filtering due to ignore list is recorded)

wolf

2019-07-29 10:56

reporter  

sumo.magick.20190729.png (278,001 bytes)

wolf

2019-07-29 10:56

reporter   ~0003641

See attached screenshot for the case of ImageMagick. The screenshot is sorted by product name. For seeing which instance is the program installation and for which instances it is a component of which product, you've to look at the SUMo path column of the displayed SUMo main window. You'll see that this tool is installed ONCE and this installation uses the dynamic high resolution edition in its 64-bit variant (that's with "-Q16-HDRI" in its path name). For the purpose of my issue and your question, you don't need to take into account its GUI display front-end IMDisplay MFC. And this front-end doesn't change frequently as opposed to the (main) back-end.

Then you'll see further 10 instances of ImageMagick (with only 3 also including its front-end). You'll see that 4 of these 10 instances as being a component to 3 portable programs of the SyMenu framework with program FileOptimizer bringing 32-bit and 64-bit instance of ImageMagick. The other 6 instances are components of other installed programs. And you'll see how one old program handles it if I update the component bypassing that programs installer.

So most of the time, I may be interested to know the state of this tool installed on its own. For the other instances, I may either want to ignore temporarily or permanently. Candidate for permanently ignoreing is for the instance as component of the product "Design&Print".

Purpose of permanently ignoring is the observation that updating that component is better left to that installed main program due to side-effects.

Purpose of temporarily ignoring is that I don't have the time to manually update components below the product level and may want to filter situation out about weekly.

As these situations have different motivations for the same component, it is helpful to become able to supply my user note for the reason of ignoring (issue https://www.kcsoftwares.com/bugs/view.php?id=3638 ).

If after the first analysis for understanding the different situations and motivations for different skip handling has been explained, you can take a look on the update column. As long as SUMo doesn't provide the option for product lines (issues https://www.kcsoftwares.com/bugs/view.php?id=1783 , https://www.kcsoftwares.com/bugs/view.php?id=4786 and https://www.kcsoftwares.com/bugs/view.php?id=1602 , tool publishers legacy releases: https://legacy.imagemagick.org/ ), the update column should always report the same version. If you take a look at the publishers product page, you'll see all editions and variants carry the same version upon release (https://imagemagick.org/script/download.php#windows ). The only exception may be when support for an older operating system is skipped, then keeping that product version fixed (no longer updated) for that operating system. But instead you'll see 2 different version in the update column. And if you add the different versions with update column on OK, these 2 increase to 5! And if you compare with the publishers release site, you'll see that only the update report of 7.0.8-57 would currently be the correct one, and additionally 6.9.10-57 for the legacy product line when SUMo supports that difference (not yet implemented according to the referred issues of this note in this paragraph).

Issue History

Date Modified Username Field Change
2019-07-24 18:30 wolf New Issue
2019-07-24 21:49 Kyle_Katarn Assigned To => Kyle_Katarn
2019-07-24 21:49 Kyle_Katarn Status new => feedback
2019-07-24 21:49 Kyle_Katarn Note Added: 0003599
2019-07-27 10:47 wolf Note Added: 0003620
2019-07-27 11:06 wolf Note Added: 0003621
2019-07-27 15:51 Kyle_Katarn Note Added: 0003624
2019-07-27 18:45 wolf Note Added: 0003632
2019-07-28 00:09 wolf Issue cloned: 0005604
2019-07-28 00:09 wolf Relationship added related to 0005604
2019-07-28 12:23 Kyle_Katarn Note Added: 0003638
2019-07-29 10:56 wolf File Added: sumo.magick.20190729.png
2019-07-29 10:56 wolf Note Added: 0003641